<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Detail Transactions</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Detail Transactions
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Reports</li>
        <li class="active"> Detail Transactions</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">
        <div class="col-md-12">
            <div class="box">
                <div class="box-header with-border">
                    <div class = "col-md-6">
                        <h3 class="box-title">Detail Transactions</h3>
                    </div>
                    <div class = "col-md-6">
                        <form method="get">
                            <div class="form-group">
                                <label for="periodeAnggaran" class="col-sm-2 control-label">Period</label>

                                <div class="col-sm-8">
                                    <select class="form-control select2" name="periodeAnggaran" id="periodeAnggaran" style="width: 100%;">
                                        <option th:each="data : ${listPeriodeAnggaran}"
                                                th:selected="(${data} == *{priodeAnggaranSelected})"
                                                th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"
                                                th:value="${data.id}">sdasd</option>
                                    </select>


                                </div>

                                <div class="col-sm-2">
                                    <button type="submit" class="btn btn-default">Search</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Time</th>
                            <th>Dept</th>
                            <th>User</th>
                            <th>Code</th>
                            <th>Description</th>
                            <th>Transactions</th>
                            <th>Request</th>
                            <th>Realized</th>
                            <th>Refund</th>
                        </tr>
                        <tr th:each="dataDetailTransaksi,row: *{listDetailTransaksi}">
                            <td th:text="${(row.index + 1)}">1.</td>
                            <td th:text="${#temporals.format(dataDetailTransaksi.getTanggalPengajuan(),'dd-MMM-yyyy')}"></td>
                            <td th:text="${dataDetailTransaksi.getNamaDepartemen()}"></td>
                            <td th:text="${dataDetailTransaksi.getNamaKaryawan()}"></td>
                            <td th:text="${dataDetailTransaksi.getKodeAnggaran()}"></td>
                            <td th:text="${dataDetailTransaksi.getDetailAnggaran()}"></td>
                            <td th:text="${dataDetailTransaksi.getDeskripsiBiaya()}"></td>
                            <td th:if="${dataDetailTransaksi.getRealisasi() == null}" style="background-color: #9e0505; color: #D2E4E8" align="right" th:text="${#numbers.formatDecimal(dataDetailTransaksi.getPengajuan(), 0, 'POINT', 2, 'COMMA')}"></td>
                            <td th:if="${dataDetailTransaksi.getRealisasi() != null}" align="right" th:text="${#numbers.formatDecimal(dataDetailTransaksi.getPengajuan(), 0, 'POINT', 2, 'COMMA')}"></td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataDetailTransaksi.getRealisasi(), 0, 'POINT', 2, 'COMMA')}"></td>
                            <td th:if="${dataDetailTransaksi.getRealisasi() == null}" style="background-color: #9e0505; color: #D2E4E8" align="right" th:text="${#numbers.formatDecimal(dataDetailTransaksi.getSelisih(), 0, 'POINT', 2, 'COMMA')}"></td>
                            <td th:if="${dataDetailTransaksi.getRealisasi() != null}" align="right" th:text="${#numbers.formatDecimal(dataDetailTransaksi.getSelisih(), 0, 'POINT', 2, 'COMMA')}"></td>
                        </tr>
                    </table>
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
                </div>
            </div>
            <!-- /.nav-tabs-custom -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#range').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
    <script>
        $(function () {
            //Enable iCheck plugin for checkboxes
            //iCheck for checkbox and radio inputs
            $('.mailbox-messages input[type="checkbox"]').iCheck({
                checkboxClass: 'icheckbox_flat-blue',
                radioClass: 'iradio_flat-blue'
            });

            //Enable check and uncheck all functionality
            $(".checkbox-toggle").click(function () {
                var clicks = $(this).data('clicks');
                if (clicks) {
                    //Uncheck all checkboxes
                    $(".mailbox-messages input[type='checkbox']").iCheck("uncheck");
                    $(".fa", this).removeClass("fa-check-square-o").addClass('fa-square-o');
                } else {
                    //Check all checkboxes
                    $(".mailbox-messages input[type='checkbox']").iCheck("check");
                    $(".fa", this).removeClass("fa-square-o").addClass('fa-check-square-o');
                }
                $(this).data("clicks", !clicks);
            });

            //Handle starring for glyphicon and font awesome
            $(".mailbox-star").click(function (e) {
                e.preventDefault();
                //detect type
                var $this = $(this).find("a > i");
                var glyph = $this.hasClass("glyphicon");
                var fa = $this.hasClass("fa");

                //Switch states
                if (glyph) {
                    $this.toggleClass("glyphicon-star");
                    $this.toggleClass("glyphicon-star-empty");
                }

                if (fa) {
                    $this.toggleClass("fa-star");
                    $this.toggleClass("fa-star-o");
                }
            });
        });
    </script>
</section>
</body>
</html>